var estProdAgendaCompraPrcBandeiraMapper = mapperFactory.createMapper("EstProdAgendaCompraPrcBandeira");
var estProdAgendaCompraMapper = mapperFactory.createMapper("EstProdAgendaCompra");
var inserir = message.get("inserir");
var remover = message.get("remover");

try{

	for(var i=0; i<inserir.size(); i++){
		estProdAgendaCompraPrcBandeiraMapper.insert('incluirEstProdAgendaCompraPrcBandeira', inserir.get(i));
	}

	if(remover.size()>0){
		estProdAgendaCompraPrcBandeiraMapper.insert('excluirEstProdAgendaCompraPrcBandeiraEmMassa', message);
	}
		
	//ATUALIZA AGENDA DE COMPRA MODIFICADA DURANTE OS VINCULOS
	var agendaDeCompra = {
		'cdEmp': 1,
		'cdCtrAgenda': message.get("cdCtrAgenda"),
		'cdUsuAlt': message.get("cdUsu"),
		'dtUltAlt': new java.text.SimpleDateFormat('yyyy-MM-dd').format(new Date())
	};
	estProdAgendaCompraMapper.update('alterarEstProdAgendaCompra', agendaDeCompra);
	estProdAgendaCompraMapper.commit();

	estProdAgendaCompraPrcBandeiraMapper.commit();
	var objectRequest = {
		'cdCtrAgenda': message.get("cdCtrAgenda")
	};
	var retorno = {
		'bandeiras': estProdAgendaCompraPrcBandeiraMapper.selectList('listarEstProdAgendaCompraPrcBandeira', objectRequest)
	};
	retorno;

}catch(err){
		estProdAgendaCompraPrcBandeiraMapper.rollback();
		estProdAgendaCompraMapper.rollback();
    throw " Ocorreu um erro: " + err;
}